Package org.drinkless.tdlib

# Class TdApi.UpdateFileGenerationStart

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateFileGenerationStart

Enclosing class:
  `TdApi`

public static class TdApi.UpdateFileGenerationStart extends TdApi.Update
The file generation process needs to be started by the application. Use setFileGenerationProgress and finishFileGeneration to generate the file.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `conversion`
  If the conversion is "#url#" than originalPath contains an HTTP/HTTPS URL of a file that must be downloaded by the application.
  `String`
  `destinationPath`
  The path to a file that must be created and where the new file must be generated by the application.
  `long`
  `generationId`
  Unique identifier for the generation process.
  `String`
  `originalPath`
  The original path specified by the application in inputFileGenerated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateFileGenerationStart()`
  The file generation process needs to be started by the application.
  `UpdateFileGenerationStart(long generationId, String originalPath, String destinationPath, String conversion)`
  The file generation process needs to be started by the application.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### generationId

    public long generationId
    Unique identifier for the generation process.

  - ### originalPath

    public String originalPath
    The original path specified by the application in inputFileGenerated.

  - ### destinationPath

    public String destinationPath
    The path to a file that must be created and where the new file must be generated by the application. If the application has no access to the path, it can use writeGeneratedFilePart to generate the file.

  - ### conversion

    public String conversion
    If the conversion is "#url#" than originalPath contains an HTTP/HTTPS URL of a file that must be downloaded by the application. Otherwise, this is the conversion specified by the application in inputFileGenerated.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateFileGenerationStart

    public UpdateFileGenerationStart()
    The file generation process needs to be started by the application. Use setFileGenerationProgress and finishFileGeneration to generate the file.

  - ### UpdateFileGenerationStart

    public UpdateFileGenerationStart(long generationId, String originalPath, String destinationPath, String conversion)
    The file generation process needs to be started by the application. Use setFileGenerationProgress and finishFileGeneration to generate the file.
    Parameters:
      `generationId` - Unique identifier for the generation process.
      `originalPath` - The original path specified by the application in inputFileGenerated.
      `destinationPath` - The path to a file that must be created and where the new file must be generated by the application. If the application has no access to the path, it can use writeGeneratedFilePart to generate the file.
      `conversion` - If the conversion is "#url#" than originalPath contains an HTTP/HTTPS URL of a file that must be downloaded by the application. Otherwise, this is the conversion specified by the application in inputFileGenerated.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR